API 레퍼런스
OpenAI Embeddings
RunAPI의 OpenAI 호환 Embeddings 작업을 통해 요청을 전송합니다.
01
개요
RunAPI의 OpenAI 호환 Embeddings 작업을 호환 모델과 프로토콜의 요청 및 응답 형식에 맞게 사용하세요.
빠른 시작
- API 키를 만들고 RUNAPI_API_KEY로 설정합니다.
- 호환되는 모델을 선택한 후 문서화된 경로 매개변수와 JSON 본문을 전송합니다.
- 해당 작업에 대한 JSON 응답 또는 서버 전송 이벤트를 읽고 프로토콜 오류를 처리하세요.
엔드포인트
- Base URL
https://runapi.ai- 계약 버전
v1- 권장 인증 방식
Authorization: Bearer YOUR_API_TOKEN
02
인증 정보 전달 방식
RunAPI는 아래 나열된 각 캐리어를 허용합니다. 생성된 샘플은 프로토콜의 기본 헤더를 사용합니다.
- header - 권장
Authorization: Bearer YOUR_API_TOKEN- header
x-api-key: YOUR_API_TOKEN- header
x-goog-api-key: YOUR_API_TOKEN- query
?key=YOUR_API_TOKEN
03
호환 모델
현재 가격, 속도 제한 및 상업적 이용 세부 정보는 모델 페이지를 여십시오.
04
JSON 본문요청 계약
공개 프로토콜과 RunAPI 지원이 모두 확인된 필드만 나열됩니다. 추가 JSON 본문 필드는 그대로 전달됩니다.
JSON 본문필드 4개
dimensionsinteger
선택
이를 지원하는 모델의 요청된 출력 벡터 차원.
encoding_formatstring
선택
반환된 임베딩 벡터에 사용되는 형식.
input["string", "array"]
필수
임베딩할 텍스트 또는 토큰 배열.
modelstring
필수
RunAPI 임베딩 모델 식별자.
요청 예시
JSON
{
"input": "The quick brown fox.",
"model": "text-embedding-3-small"
}
05
HTTP 200
동기 응답
스키마
JSON
{
"additionalProperties": true,
"properties": {
"data": {
"type": "array"
},
"model": {
"type": "string"
},
"object": {
"const": "list",
"type": "string"
},
"usage": {
"additionalProperties": true,
"properties": {
"prompt_tokens": {
"type": "integer"
},
"total_tokens": {
"type": "integer"
}
},
"required": [
"prompt_tokens",
"total_tokens"
],
"type": "object"
}
},
"required": [
"object",
"data",
"model",
"usage"
],
"type": "object"
}
예시
JSON
{
"data": [
{
"embedding": [
0.0023,
-0.0093,
0.0151
],
"index": 0,
"object": "embedding"
}
],
"model": "text-embedding-3-small",
"object": "list",
"usage": {
"prompt_tokens": 5,
"total_tokens": 5
}
}
06
HTTP 400
프로토콜 오류: invalid_request
스키마
JSON
{
"additionalProperties": true,
"properties": {
"error": {
"additionalProperties": true,
"properties": {
"code": {
"type": [
"string",
"null"
]
},
"message": {
"type": "string"
},
"param": {
"type": [
"string",
"null"
]
},
"type": {
"type": "string"
}
},
"required": [
"message",
"type"
],
"type": "object"
}
},
"required": [
"error"
],
"type": "object"
}
예시
JSON
{
"error": {
"code": null,
"message": "input is required",
"param": "input",
"type": "invalid_request_error"
}
}
07
사용량
스키마
JSON
{
"additionalProperties": true,
"properties": {
"prompt_tokens": {
"type": "integer"
},
"total_tokens": {
"type": "integer"
}
},
"required": [
"prompt_tokens",
"total_tokens"
],
"type": "object"
}
예시
JSON
{
"prompt_tokens": 5,
"total_tokens": 5
}
08
생성된 코드 샘플
각 cURL, JavaScript, Python 예제는 프로토콜별 SDK 없이도 이 계약에서 검증된 요청을 전송합니다.
설치
Shell
pip install requests
PYTHON
import requests
response = requests.post(
"https://runapi.ai/v1/embeddings",
headers={"Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json"},
json={"model": "text-embedding-3-small", "input": "The quick brown fox."}
)
response.raise_for_status()
print(response.json())